summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Euan Thoms <euan@potensol.com>2014-08-14 16:57:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-08-15 23:21:31 +0700
commite5f0fc05ee131ac75436d09e45a1e6d4a1c51e4e (patch)
tree2b5d5a9b322b658ae65fafce41daf7e8e5feaec6 /libraries
parent96a183a3d88cdef89d24cbf9deb2815ee94d11ca (diff)
downloadslackbuilds-e5f0fc05ee131ac75436d09e45a1e6d4a1c51e4e.tar.gz
slackbuilds-e5f0fc05ee131ac75436d09e45a1e6d4a1c51e4e.tar.xz
libraries/libzrtpcpp: Added (C++ implementation of ZRTP).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libzrtpcpp/README8
-rw-r--r--libraries/libzrtpcpp/libzrtpcpp.SlackBuild107
-rw-r--r--libraries/libzrtpcpp/libzrtpcpp.info10
-rw-r--r--libraries/libzrtpcpp/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/libraries/libzrtpcpp/README b/libraries/libzrtpcpp/README
new file mode 100644
index 0000000000..f7b80a67ed
--- /dev/null
+++ b/libraries/libzrtpcpp/README
@@ -0,0 +1,8 @@
+GNU ZRTP is a C++ implementation of Phil Zimmermann's ZRTP
+specification and is available under the GPL license.
+
+The complete GNU ZRTP implementation consists of two main parts,
+the GNU ZRTP core (independent from the OS and the RTP/SRTP
+implementation) and an RTP/SRTP implementation specific glue code.
+The current GNU ZRTP distribution contains glue code to bind GNU ZRTP
+to GNU ccRTP.
diff --git a/libraries/libzrtpcpp/libzrtpcpp.SlackBuild b/libraries/libzrtpcpp/libzrtpcpp.SlackBuild
new file mode 100644
index 0000000000..4b311fd6b2
--- /dev/null
+++ b/libraries/libzrtpcpp/libzrtpcpp.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for libzrtpcpp
+
+# Copyright 2014 Euan Thoms (euan at potensol dot com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libzrtpcpp
+SRCNAM=ZRTPCPP
+VERSION=${VERSION:-4.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README.md $CWD/$PRGNAM.SlackBuild"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/V$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+
+mkdir build
+cd build
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_LINK_FLAGS:STRING="$SLKLDFLAGS" \
+ -DCMAKE_CXX_LINK_FLAGS:STRING="$SLKLDFLAGS" \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ ..
+
+make
+make install DESTDIR=$PKG
+
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libzrtpcpp/libzrtpcpp.info b/libraries/libzrtpcpp/libzrtpcpp.info
new file mode 100644
index 0000000000..362f787ee7
--- /dev/null
+++ b/libraries/libzrtpcpp/libzrtpcpp.info
@@ -0,0 +1,10 @@
+PRGNAM="libzrtpcpp"
+VERSION="4.1.2"
+HOMEPAGE="http://www.gnutelephony.org/"
+DOWNLOAD="https://github.com/wernerd/ZRTPCPP/archive/V4.1.2.tar.gz"
+MD5SUM="dd13e50d0106eb38132fd74bd024664c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="ccrtp"
+MAINTAINER="Euan Thoms"
+EMAIL="euan at potensol dot com"
diff --git a/libraries/libzrtpcpp/slack-desc b/libraries/libzrtpcpp/slack-desc
new file mode 100644
index 0000000000..c937af9bd9
--- /dev/null
+++ b/libraries/libzrtpcpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libzrtpcpp: ZRTP (C++ implementation of Phil Zimmermann's ZRTP)
+libzrtpcpp:
+libzrtpcpp: GNU ZRTP is a C++ implementation of Phil Zimmermann's ZRTP
+libzrtpcpp: specification and is available under the GPL license.
+libzrtpcpp:
+libzrtpcpp: The complete GNU ZRTP implementation consists of two main parts,
+libzrtpcpp: the GNU ZRTP core (independent from the OS and the RTP/SRTP
+libzrtpcpp: implementation) and an RTP/SRTP implementation specific glue code.
+libzrtpcpp: The current GNU ZRTP distribution contains glue code to bind GNU
+libzrtpcpp: ZRTP to GNU ccRTP.
+libzrtpcpp: Homepage: http://www.gnutelephony.org/